
Figure - Bug #118360
测试 Test-ST # 114575 (New): V5.0功能测试票

测试 Test-ST # 114577 (New): Launcher/SystemUI

【AF】【EVT3】【桌面】结束monkey后，桌面应用图标变小，dock栏显示异常
2023-05-30 10:50 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-05-30

Priority: High Due date:

Assignee: 物联网测试组_CDTS  唐霞 % Done: 0%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0106.C104(X104)

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: Release Test Root cause: 桌面的windowingMode被设置成了freeform

Description

【问题描述】

结束monkey后，桌面应用图标变小，dock栏显示异常

History

#1 - 2023-05-30 10:54 - CD APP-王宏

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王宏 to CD FW-鲁凯峰

凯峰,

Launcher主界面mode=freeform，请排查一下看是什么原因导致的

#2 - 2023-05-30 10:58 - CD APP-王宏

- Category changed from CD-FW to 窗口定制

#3 - 2023-05-30 16:19 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

203462 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

AF:MultiWindow: don't set home to freeformTC-RID: 1201-0204601IssueID: TS-R-BUG-118360Change-Id: Ia4c7afe9e4e02ae9202cf5c232f63e10bf76577a

#4 - 2023-05-30 16:22 - CD FW-鲁凯峰

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to 物联网测试组_CDTS  唐霞 

- Resolution changed from -- to FIXED

- Root cause set to 桌面的windowingMode被设置成了freeform
从dumpsys的信息看,是桌面的luanchMode被设置成了freeform,已经在设置windowingMode的地方过滤掉home了

#5 - 2023-06-14 16:35 - 物联网测试组_CDTS  唐霞 

- Status changed from RESOLVED to VERIFIED

连续monkey一周以上未复现该问题，关闭问题单

最后验证版本：01.00.0110.C104（6/13）

#6 - 2023-06-14 16:35 - 物联网测试组_CDTS  唐霞 

- Status changed from VERIFIED to CLOSED

Files

monkey后应用图标变小.jpg 155 KB 2023-05-30 物联网测试组_CDTS  唐霞 

adb shell dumpsys activity activities.txt 312 KB 2023-05-30 物联网测试组_CDTS  唐霞 
